/*
 * Copyright (c) 2011-2012 ICM Uniwersytet Warszawski All rights reserved.
 * See LICENCE.txt file for licensing information.
 */
package eu.unicore.ucc.ccm;

import java.io.File;
import java.io.IOException;

import junit.framework.Assert;

import org.apache.commons.io.FileUtils;

public class Utils
{
	public static File createWorkdirWithFile(String file)
	{
		File workdir = new File("target/test-workdir");
		workdir.mkdir();
		try
		{
			FileUtils.copyFileToDirectory(new File(file), workdir);
		} catch (IOException e)
		{
			e.printStackTrace();
			Assert.fail(e.toString());
		}
		return workdir;
	}
	
	public static File createWorkdirForUpdate(String dir, File base, boolean update)
	{
		File newDir;
		if (!update)
		{
			newDir = new File(base, dir);
			newDir.mkdir();
		} else
			newDir = base;
		return newDir;
	}
}
