package de.fzj.unicore.ucc;

import de.fzj.unicore.ucc.actions.ACL;
import de.fzj.unicore.ucc.actions.AbortJob;
import de.fzj.unicore.ucc.actions.Batch;
import de.fzj.unicore.ucc.actions.CatFile;
import de.fzj.unicore.ucc.actions.Chgrp;
import de.fzj.unicore.ucc.actions.Chmod;
import de.fzj.unicore.ucc.actions.Connect;
import de.fzj.unicore.ucc.actions.ConnectToTestGrid;
import de.fzj.unicore.ucc.actions.CopyFile;
import de.fzj.unicore.ucc.actions.CopyFileStatus;
import de.fzj.unicore.ucc.actions.CreateStorage;
import de.fzj.unicore.ucc.actions.CreateTSS;
import de.fzj.unicore.ucc.actions.Find;
import de.fzj.unicore.ucc.actions.GetFile;
import de.fzj.unicore.ucc.actions.GetFileProperties;
import de.fzj.unicore.ucc.actions.GetOutcome;
import de.fzj.unicore.ucc.actions.GetStatus;
import de.fzj.unicore.ucc.actions.Groovy;
import de.fzj.unicore.ucc.actions.IssueTD;
import de.fzj.unicore.ucc.actions.LS;
import de.fzj.unicore.ucc.actions.ListApplications;
import de.fzj.unicore.ucc.actions.ListAttributes;
import de.fzj.unicore.ucc.actions.ListJobs;
import de.fzj.unicore.ucc.actions.ListSites;
import de.fzj.unicore.ucc.actions.ListStorages;
import de.fzj.unicore.ucc.actions.ListTransfers;
import de.fzj.unicore.ucc.actions.Metadata;
import de.fzj.unicore.ucc.actions.Mkdir;
import de.fzj.unicore.ucc.actions.PutFile;
import de.fzj.unicore.ucc.actions.RM;
import de.fzj.unicore.ucc.actions.Reservation;
import de.fzj.unicore.ucc.actions.Resolve;
import de.fzj.unicore.ucc.actions.Run;
import de.fzj.unicore.ucc.actions.SaveAttributeAssertion;
import de.fzj.unicore.ucc.actions.SystemInfo;
import de.fzj.unicore.ucc.actions.Umask;
import de.fzj.unicore.ucc.actions.WSRF;
import de.fzj.unicore.ucc.shell.Shell;

/**
 * provides the set of commands in the UCC core module
 */
public class CoreCommands implements ProvidedCommands {

	@Override
	public Command[] getCommands() {
		return new Command[]{

				// basic
				new Connect(),
				new CreateStorage(),
				new CreateTSS(),

				// job execution
				new Run(),
				new GetStatus(),
				new GetOutcome(),
				new Batch(),
				new AbortJob(),
				new Reservation(),

				// data management
				new GetFile(),
				new PutFile(),
				new CopyFile(),
				new CopyFileStatus(),
				new Resolve(),
				new LS(),
				new Find(),
				new Mkdir(),
				new RM(),
				new Metadata(),
				new ACL(),
				new Chgrp(),
				new Chmod(),
				new GetFileProperties(),
				new Umask(),
				new CatFile(),
				
				// informational
				new ListSites(),
				new ListJobs(),
				new ListApplications(),
				new ListStorages(),
				new ListTransfers(),
				new SystemInfo(),

				// other
				new Groovy(),
				new WSRF(),
				new Shell(),
				new ConnectToTestGrid(),
				
				//security and VO
				new IssueTD(),
				new ListAttributes(),
				new SaveAttributeAssertion(),
		};
	}

}
