package de.fzj.unicore.ucc;

import javax.xml.namespace.QName;

import org.w3.x2005.x08.addressing.EndpointReferenceType;

import de.fzj.unicore.ucc.actions.SystemInfo;
import eu.unicore.util.httpclient.IClientConfiguration;

/**
 * provides detailed information about a service.
 * @see SystemInfo
 */
public interface IServiceInfoProvider {

	/**
	 * the qualified of the service
	 */
	public QName getQName();
	
	/**
	 * the service name
	 */
	public String getServiceName();

	/**
	 * return a brief, user-readable piece of information about the service. 
	 * For example, for an execution service this could be the number of 
	 * running jobs, or the number of installed applications.<br/>
	 * May return <code>null</code>
	 * @param epr - the endpoint reference of the service
	 * @param securityProperties - the security properties
	 * @return brief (one line) user-focused service info
	 */
	public String getServiceDetails(EndpointReferenceType epr, IClientConfiguration securityProperties);

}
