package de.fzj.unicore.ucc.actions;

import de.fzj.unicore.uas.client.StorageClient;
import de.fzj.unicore.ucc.helpers.Location;

/**
 * creates a directory on a remote SMS location 
 * which can be given in the "abstract" form 
 * "u6://..." or "unicore6://"<br/>
 * or as standard unicore URL
 * 
 * @see Location
 *
 * @author schuller
 */
public class Mkdir extends SMSOperation {

	protected Location targetDesc;

	@Override
	public void process() {
		super.process();
		String target = getCommandLine().getArgs()[1];;
		StorageClient sms = getStorageClient(target);
		try {
			sms.createDirectory(getPathAtStorage(target));
		} catch(Exception ex) {
			error("Can't create a directory.", ex);
			endProcessing(ERROR);
		}
		
	}
	
	@Override
	public String getName() {
		return "mkdir";
	}

	@Override
	public String getSynopsis() {
		return "Creates a directory on a remote storage.";
	}
	
	@Override
	public String getDescription(){
		return "create a directory remotely";
	}
	
	@Override
	public String getArgumentList(){
		return "<Storage-URL>#/dir or <u6://...>/dir";
	}
	@Override
	public String getCommandGroup(){
		return "Data management";
	}
}
