package de.fzj.unicore.ucc.helpers;


/**
 * A task to be performed on a Grid service<br/>.
 * 
 * Implementations <em>must be stateless</em>, or keep their state 
 * in thread-local storage, since the run() method will be called 
 * multiple times with different targets in a multithreaded way
 * 
 * @see GridTaskTarget
 * @param <V>
 * 
 * @author schuller
 */ 
public interface GridTask<V> {

	/**
	 * perform some operation on a grid service
	 * 
	 * @param target - the {@link GridTaskTarget}
	 * @return a result of type V
	 * @throws Exception
	 */
	public V run(GridTaskTarget<V> target)throws Exception;
	
}
