package de.fzj.unicore.ucc.helpers;

import de.fzj.unicore.ucc.MessageWriter;
import de.fzj.unicore.wsrflite.xmlbeans.client.IRegistryQuery;
import eu.unicore.util.httpclient.IClientConfiguration;

/**
 * maps URIs to {@link Location} instances
 * 
 * @author schuller
 */
public interface IResolve {

	/**
	 * resolve the given URI, or return <code>null</code> if URI cannot be resolved by
	 * this resolver
	 * 
	 * @param uri
	 * @param registry
	 * @param security
	 * @param messageWriter
	 * @return a {@link Location} object or <code>null</code>
	 */
	public Location resolve(String uri, IRegistryQuery registry, IClientConfiguration security, MessageWriter messageWriter);
	
}
