package de.fzj.unicore.ucc.runner;

import org.unigrids.x2006.x04.services.tss.TargetSystemPropertiesDocument.TargetSystemProperties;

/**
 * allows to check whether a given target system matches a requirement, for example
 * runs the needed operating system
 *   
 * @author schuller
 */
public interface Requirement {

	/**
	 * check the properties and decide if it fits the requirement
	 * 
	 * @param tss - the TSS resource properties document
	 * @return <code>true</code> if the TSS is OK to use, <code>false</code> otherwise
	 */
	public boolean isFulfilled(TargetSystemProperties tss);
	
	/**
	 * returns a human-readable description of the requirement for logging purposes
	 */
	public String getDescription();
	
}
