package de.fzj.unicore.ucc.actions;

import static org.junit.Assert.assertEquals;

import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.security.KeyStore;

import junit.framework.Assert;

import org.apache.commons.io.FileUtils;
import org.junit.Test;

import eu.unicore.util.httpclient.ClientProperties;

public class TestConnectToTestGrid {

	@Test
	public void testExtractURL()throws IOException{
		String source="<h1>foo</h1>Click to download only the \n" +
				"<a href=\"theurl.jks\">keystore</a>";
		ConnectToTestGrid c=new ConnectToTestGrid();
		assertEquals("theurl.jks",c.extractURL(source));
	}

	@Test
	public void testWriteKeystoreAndPreferences()throws Exception{
		KeyStore ks_orig=KeyStore.getInstance("jks");
		FileInputStream stream=new FileInputStream("src/test/resources/certs/user-keystore.jks");
		char[]pw_orig="the!user".toCharArray();
		try{
			ks_orig.load(stream, pw_orig);
		}finally{
			stream.close();
		}
		KeyStore ks=KeyStore.getInstance("jks");
		char[]pw="unicore".toCharArray();
		ks.load(null, pw);
		ks.setKeyEntry("unicore", ks_orig.getKey("demo user", pw_orig), pw, ks_orig.getCertificateChain("demo user"));
		ConnectToTestGrid c=new ConnectToTestGrid();
		c.setOutputDirectory(new File("target"));
		c.keystore=ks;
		
		File f=new File("target","testgrid-preferences");
		File f2=new File("target","testgrid-keystore.jks");
		FileUtils.deleteQuietly(f);
		FileUtils.deleteQuietly(f2);
		c.writeKeystore();
		c.writePreferencesFile();
		ClientProperties p=new ClientProperties(f.getPath());
		Assert.assertNotNull(p);
	}
	
}
