package de.fzj.unicore.ucc.util;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNotNull;
import static org.junit.Assert.assertTrue;

import java.io.File;

import org.junit.Test;

public class TestFileResolve {

	@Test
	public void test1()throws Exception{
		File original=new File("src/test/resources/testfiles/file*");
		FileUploader i1=new FileUploader(original.getPath(),"u6://foo",Mode.overwrite);
		File[]files=i1.resolveWildCards(original);
		assertNotNull(files);
		assertEquals(2, files.length);
		assertTrue(files[0].getName().startsWith("file"));
		assertTrue(files[1].getName().startsWith("file"));
	}
	
	@Test
	public void test2()throws Exception{
		File original=new File("src/test/resources/testfiles/?ther?");
		FileUploader i1=new FileUploader(original.getPath(),"u6://foo",Mode.overwrite);
		File[]files=i1.resolveWildCards(original);
		assertNotNull(files);
		assertEquals(1, files.length);
		assertEquals("other1", files[0].getName());
	}

	@Test
	public void test3()throws Exception{
		File original=new File("src/test/resources/testfiles/*1");
		FileUploader i1=new FileUploader(original.getPath(),"u6://foo",Mode.overwrite);
		File[]files=i1.resolveWildCards(original);
		assertNotNull(files);
		assertEquals(2, files.length);
		assertTrue(  (files[0].getName().startsWith("file") && files[1].getName().startsWith("other"))
				|| (files[1].getName().startsWith("file") && files[0].getName().startsWith("other"))
		);
	}
}
