import javax.xml.namespace.QName
import de.fzj.unicore.uas.client.*

/*
* for testing the Groovy script facility
*/

println "This is a test Groovy script"

//check that the context for Groovy scripts is setup correctly
assert(registry!=null)
assert(securityProperties!=null)
assert(registryURL!=null)
assert(properties!=null)
assert(options!=null)
assert(commandLine!=null)

//complex example from UCC manual

//porttype of storage service 
def SMSPORT=new QName("http://unigrids.org/2006/04/services/sms","StorageManagement")

//method to extract storage name from a storage client
def findName(epr){
  sms=new StorageClient(epr.address.stringValue, epr, securityProperties)
  return sms.resourcePropertiesDocument.storageProperties.fileSystem.name
}

//list storages from registry
registry.listAccessibleServices(SMSPORT).each { 
    name=findName(it)
    messageWriter.message "Storage <"+name+"> at "+it.address.stringValue			    
}

//list storages attached to target systems
def lister = new de.fzj.unicore.ucc.helpers.TargetSystemLister(registry,securityProperties,messageWriter)

lister.each { 
    it.storages.each{
        name=findName(it)
   	    messageWriter.message "Storage <"+name+"> at "+it.address.stringValue
    }
}


