package de.fzj.unicore.ucc.bes;

import org.ggf.schemas.bes.x2006.x08.besFactory.ActivityStateEnumeration;

public class GetBESStatus extends BaseActionState {

	@Override
	public void process() {
		super.process();
		getStatus();
	}

	@Override
	public String getName() {
		return "bes-job-status";
	}

	@Override
	public String getArgumentList() {
		return "<jobfile>";
	}

	@Override
	public String getSynopsis() {
		return "Gets the status of a UNICORE 6 BES activity using a .job file.";
	}

	@Override
	public String getDescription() {
		return "get BES activity status";
	}

	protected void getStatus() {
		try {
			ActivityStateEnumeration.Enum status = factory.getActivityStatus(activityEpr);
			message(status.toString());
			if(verbose)verbose(factory.getActivityStatusAsXML(activityEpr));
		} catch (Exception e) {
			error("Can't get activity status.", e);
			endProcessing(1);
		}
	}
	
	
	@Override
	public String getCommandGroup() {
		return BESUCCConstants.BES_COMMAND_GROUP;
	}
	
}
