package de.fzj.unicore.ucc.bes;

import org.junit.Test;

import de.fzj.unicore.ucc.UCC;
import de.fzj.unicore.ucc.bes.RunJob;

public class TestRunBES extends EmbeddedTestBase{
	
	@Test
	public void testRunAndListJobs(){
		
		message("Submitting job to local BESFactory ..");
		String[]args=new String[]{"bes-submit-job",
				"-v","-c", "src/test/resources/conf/userprefs.embedded",
				"src/test/resources/jobs/date.u", "-s", "bes.1"
		};
		UCC.main(args);
		
		message("Listing jobs executed via BESFactory ..");
		args=new String[]{"bes-list-jobs", "-v",
				"-c", "src/test/resources/conf/userprefs.embedded","-s", "bes.1", "-l"				
		};
		UCC.main(args);

		message("Listing BESFactory Attributes ..");
		args=new String[]{"bes-list-att", "-v",
				"-c", "src/test/resources/conf/userprefs.embedded","-s", "bes.1"				
		};
		UCC.main(args);

	}

	public void testRunJobAndGetStatus(){
		
		message("Submitting job to local BESFactory ..");
		String[]args=new String[]{"bes-submit-job",
				"-v","-c", "src/test/resources/conf/userprefs.embedded",
				"src/test/resources/jobs/date.u", "-s", "bes.1"
		};
		UCC.main(args);


		message("Getting Job Status ..");
		args=new String[]{"bes-job-status",
				"-v","-c", "src/test/resources/conf/userprefs.embedded",
				RunJob.getLastJobDescriptor()
		};
		UCC.main(args);

	}
	
	
	
}
