package de.fzj.unicore.ucc.testsuite.util;


/**
* generate reports of test results
* @see TestResult.groovy
*/

public class Reporting{

static void htmlReport(builder, suiteDescription, results){

  builder.html{
    head {
      title('Test results')
    }
  
    body{
      h1(suiteDescription)
      
      h2("Summary")
      
      def successful=results.findAll{ item -> item.success }.size()
      
      table(border:1, cellpadding:'3', width:'80%'){
        
        tr{
          td(width:'30%', bgcolor:'lightgrey', "Suite")
          td(width:'70', suiteDescription)
        }
        
        tr{
          td(width:'30%', bgcolor:'lightgrey', "Date")
          td(width:'70', new Date())
        }
      
        tr{
          td(width:'30%', bgcolor:'lightgrey', "Successful")
          td(width:'70', successful+"/"+results.size())
        }
        
      }
      
      p("Executed by : "+System.getProperty("user.name"))

      h2("Detailed test results")
      table(border:1, cellpadding:'3', width:'80%'){
        
        tr{
          td(width:'60%', bgcolor:'lightgrey', "Description")
          td(width:'20%', bgcolor:'lightgrey', "Time")
          td(width:'20%', bgcolor:'lightgrey', "Success")
        }
            
        results.each{
            def description=it.description
            def time=it.timeElapsed
            def success=it.success? "OK"    : "FAILED"
            def color=it.success?   "green" : "red"
            tr{
        	  td(width:'60', description)
        	  td(width:'20', time)
        	  td(width:'20',bgcolor:color, success)
            }
          }
        
      }//table
    }//body
  }//html

}

}